1.1
1.1
post /v1/privatelink-endpoints
Description
Create PrivateLink Endpoint.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PrivateLinkEndpointCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | PrivateLinkEndpointShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"endpoint_ip_address": "",
"name": "",
"privatelink_service_id": "",
"security_group_ids": [],
"subnet_id": "",
"tags": []
}
Example HTTP response
Response 202
{
"privatelink_endpoint": {
"account_id": "",
"approval_type": "MANUAL",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"endpoint_ip_address": "",
"endpoint_ip_port_id": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"privatelink_service_id": "",
"security_group_ids": [],
"state": "REQUESTING",
"subnet_id": "",
"vpc_id": ""
}
}